## rnote-0.13.1-1.src.tar.gz

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: ['default', 'devel'],
  value: 'default',
  description: 'The build profile for rnote. One of "default" or "devel".',
)
option(
  'ui',
  type: 'boolean',
  value: true,
  description: 'Build the UI',
)
option(
  'cli',
  type: 'boolean',
  value: true,
  description: 'Build the CLI',
)
option(
  'ci',
  type: 'boolean',
  value: false,
  description: 'Whether the project is being built in a CI pipeline',
)
option(
  'win-installer-name',
  type: 'string',
  value: 'rnote-win-installer',
  description: 'Only relevant for builds on Windows: the name of the generated installer after executing the "build-installer" target.',
)
option(
  'win-build-environment-path',
  type: 'string',
  value: 'C:\\msys64\\mingw64',
  description: 'Only relevant for builds on Windows: the path of the installed msys/mingw64 environment.',
)

=== PKGBUILD ===
# Maintainer: Orhun Parmaksız <orhun@archlinux.org>
# Contributor: Igor Dyatlov <dyatlov.igor@protonmail.com>

pkgname=rnote
pkgver=0.13.1
pkgrel=1
pkgdesc="A simple drawing application to create handwritten notes"
arch=('x86_64')
url="https://github.com/flxzt/rnote"
license=('GPL3')
depends=('gtk4' 'glib2' 'libadwaita' 'poppler-glib' 'gstreamer' 'alsa-lib')
makedepends=('meson' 'cargo' 'cmake' 'clang' 'git')
#checkdepends=('appstream-glib')
source=("$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz")
b2sums=('695ec71c520af6df9f15a25eb857d6ce7bbf82ef0d0de57657b1ecbc53175a8d8750fc5d0d0d05e36bd5425c61e6dcead94f391bc86d50be2c994b32869f6510')
options=('!lto')

build() {
  arch-meson "$pkgname-$pkgver" build -Dcli=true
  meson compile -C build
}

#check() {
#  meson test -C build
#}

package() {
  meson install -C build --destdir "$pkgdir"
}

# vim: ts=2 sw=2 et:
